forked from pool/virtualbox
7b5bd27064
File UserManual.pdf is resent to clear error in build. OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=468
36 lines
1.3 KiB
Diff
36 lines
1.3 KiB
Diff
# This patch file is to warn future maintainers of VirtualBox on openSUSE
|
|
# platforms that the distributed versions of vboxadd.sh and vboxdrv.sh
|
|
# contain security holes. If you need to use these scripts in the future,
|
|
# please consult the Security Group at openSUSE.
|
|
#
|
|
# January 31, 2019 - Larry Finger
|
|
#
|
|
Index: VirtualBox-6.0.4/src/VBox/Additions/linux/installer/vboxadd.sh
|
|
===================================================================
|
|
--- VirtualBox-6.0.4.orig/src/VBox/Additions/linux/installer/vboxadd.sh
|
|
+++ VirtualBox-6.0.4/src/VBox/Additions/linux/installer/vboxadd.sh
|
|
@@ -560,6 +560,9 @@ dmnstatus()
|
|
fi
|
|
}
|
|
|
|
+echo "This script has insecurities. It must never be used in openSUSE without consultine Security."
|
|
+exit 1
|
|
+
|
|
case "$2" in quiet)
|
|
QUIET=yes;;
|
|
esac
|
|
Index: VirtualBox-6.0.4/src/VBox/Installer/linux/vboxdrv.sh
|
|
===================================================================
|
|
--- VirtualBox-6.0.4.orig/src/VBox/Installer/linux/vboxdrv.sh
|
|
+++ VirtualBox-6.0.4/src/VBox/Installer/linux/vboxdrv.sh
|
|
@@ -37,6 +37,9 @@ DEVICE=/dev/vboxdrv
|
|
MODPROBE=/sbin/modprobe
|
|
SCRIPTNAME=vboxdrv.sh
|
|
|
|
+echo "This script has insecurities. It must never be used in openSUSE without consultine Security."
|
|
+exit 1
|
|
+
|
|
# The below is GNU-specific. See VBox.sh for the longer Solaris/OS X version.
|
|
TARGET=`readlink -e -- "${0}"` || exit 1
|
|
SCRIPT_DIR="${TARGET%/[!/]*}"
|